/****************************************************************************\
*
*   MODULE: rc_version.h
*
*	Header file which defines the common version information.
*
*   Created By: RAIDCore, Inc.
*
*   Copyright (c) 2000-2004, RAIDCore, Inc.
*
\****************************************************************************/ 

#ifndef _RC_VERSION_H
#define _RC_VERSION_H

#define RC_MAX_VER_MAJOR_SIZE 4
#define RC_BUILD_VER_MAJOR 2

#define RC_MAX_VER_MINOR_SIZE 4
#define RC_BUILD_VER_MINOR 1

#define RC_MAX_VER_PATCH_SIZE 8
#define RC_BUILD_VER_PATCH 0

#define RC_STRINGIFY(s) #s

#define RC_VERSION_STR RC_MK_BUILD_VER(RC_BUILD_VER_MAJOR, RC_BUILD_VER_MINOR, RC_BUILD_VER_PATCH)

#define RC_MK_BUILD_VER(RC_BUILD_VER_MAJOR, RC_BUILD_VER_MINOR, RC_BUILD_VER_PATCH) \
                  RC_STRINGIFY(RC_BUILD_VER_MAJOR)"." \
                  RC_STRINGIFY(RC_BUILD_VER_MINOR)"." \
                  RC_STRINGIFY(RC_BUILD_VER_PATCH) 

#define VER_COMPANYNAME_STR       "Broadcom Corporation"
#define VER_LEGALCOPYRIGHT_STR    "Copyright (c) 2002-2006, Broadcom Corporation"

#define VER_LEGALCOPYRIGHT_YEARS  "2002-2006"
#define VER_PRODUCTVERSION_STR    RC_BUILD_NUMBER
#define VER_LEGALTRADEMARKS_STR   "RAIDConsole(tm) is a registered trademark of RAIDCore(tm) a Broadcom(r) company"

#define VER_FILEVERSION           RC_BUILD_VER_MAJOR, RC_BUILD_VER_MINOR, RC_BUILD_YDOY, RC_BUILD_BOD
#define VER_FILEVERSION_STR       RC_BUILD_NUMBER


#endif //_RC_VERSION_H
