/****************************************************************************\
*
*   MODULE: bc_types.h
*
*	This module contains the types used in the interfaces that will
*	go to open source.
*
*	Eventually, the copyright below will be removed and replaced with
*	an open source license.
*
*   Created By: Chris Franklin
*
*   Copyright (c) 2002-2003, RAIDCore, Inc.
*
\****************************************************************************/ 

#ifndef BC_TYPES_H
#define BC_TYPES_H
#ifndef __BCM_BASETYPES_H__

typedef unsigned char       bc_uint8_t;
typedef unsigned short      bc_uint16_t;
typedef unsigned int        bc_uint32_t;

#ifndef __LINUX__
typedef unsigned __int64 bc_uint64_t;
#else
typedef unsigned long long  bc_uint64_t;
#endif

typedef unsigned long       bc_uint_ptr_t;

#endif /* __BCM_BASETYPES_H__ */
#endif /* BC_TYPES_H */
